{
    "compilerOptions": {
        "module": "commonjs",
        "strict": true,
        "esModuleInterop": true,
        "target": "es2017",
        "noImplicitAny": true,
        "preserveConstEnums": true,
        "allowSyntheticDefaultImports": true,
        "skipLibCheck": true,
        "skipDefaultLibCheck": true,
        "experimentalDecorators": true,
        "moduleResolution": "node",
        "sourceMap": true,
        "outDir": "dist",
        "lib": ["es2021"],
        "resolveJsonModule": true,
        "emitDecoratorMetadata": true,
        "useUnknownInCatchVariables": false
    },
    "ts-node": {
        "files": true
    },
    "include": ["./src/**/*.ts", "./test/**/*.ts"]
}
